use strict;
use warnings;
use ExtUtils::MakeMaker;
use File::Copy;

WriteMakefile(
              NAME                => 'Lingua::Jspell',
              AUTHOR              => 'Jose Joao Almeida <jj@di.uminho.pt>',
              VERSION_FROM        => 'lib/Lingua/Jspell.pm',
              ABSTRACT_FROM       => 'lib/Lingua/Jspell.pm',
              PL_FILES            => {},
              PREREQ_PM => {
                            # the script needing these two is in jspell toplever dir
                            'Getopt::Long' => 2.30,
                            'File::Basename' => 2.70,
                            # ---
                            'File::Which' => 0,
                            'Test::More' => 0,
                            'IPC::Open3' => 0,
                           },
              'SKIP' => [ qw/dist dist_basics dist_core distdir dist_test dist_ci/ ],
             );


move("Makefile", "Makefile.in");

sub MY::postamble {
  local $/ = undef;
  my $postamble = <DATA>;
}

__DATA__
VERSION = @VERSION@
PACKAGE = @PACKAGE@

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)/Lingua-Jspell
DISTVNAME = $(top_distdir)/../Lingua-Jspell

create_distdir:

distdir: metafile
	mkdir -p $(distdir)
	perl -MExtUtils::Manifest -e 'ExtUtils::Manifest::manicopy(ExtUtils::Manifest::maniread("MANIFEST"),"$(distdir)","cp")'

check: test
